Skip to content
You're viewing documentation for v2026.11.14-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Create a DCS cluster

Creates a standalone etcd (DCS) cluster on exactly 3 enrolled servers and starts its deploy as a tracked workflow.

POST/api/v1/dcs-clusters
Authorization
tse_sessionAPI key · cookierequired
Request body
requiredapplication/json
namestring
server_idsstring[]
Responses
202

Accepted

idstringrequired
workflow_idstringrequired
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X POST 'https://console.example.com/api/v1/dcs-clusters' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "server_ids": [
    "string"
  ]
}'
Response
{
  "id": "string",
  "workflow_id": "string"
}